## org.apache.hadoop.io
Class VersionMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.io.VersionMismatchException

All Implemented Interfaces:
  Serializable

    public class VersionMismatchException

extends IOException

Thrown by `VersionedWritable.readFields(DataInput)` when the version of an object being read does not match the current implementation version as returned by `VersionedWritable.getVersion()`.

See Also:
  Serialized Form

Constructor Summary
`VersionMismatchException(byte expectedVersionIn, byte foundVersionIn)`

Method Summary
`String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionMismatchException

    public VersionMismatchException(byte expectedVersionIn,
                                    byte foundVersionIn)

Method Detail

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Throwable`

Copyright © 2009 The Apache Software Foundation